JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.location.set('deviceId', { latitude: 0, longitude: 0 });import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.location.set(
device_id="deviceId",
latitude=0,
longitude=0,
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
"github.com/stainless-sdks/droidrun-cloud-go/shared"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Location.Set(
context.TODO(),
"deviceId",
mobileruncloud.DeviceLocationSetParams{
Location: shared.LocationParam{
Latitude: 0,
Longitude: 0,
},
},
)
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices:location set \
--api-key 'My API Key' \
--device-id deviceId \
--latitude 0 \
--longitude 0curl --request POST \
--url https://api.mobilerun.ai/devices/{deviceId}/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"latitude": 123,
"longitude": 123
}
'
{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Misc
Set device location
Sets the device’s simulated GPS location to the latitude and longitude in the request body. Devices without geo support return an unsupported-feature error.
POST
/
devices
/
{deviceId}
/
location
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.location.set('deviceId', { latitude: 0, longitude: 0 });import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.location.set(
device_id="deviceId",
latitude=0,
longitude=0,
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
"github.com/stainless-sdks/droidrun-cloud-go/shared"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Location.Set(
context.TODO(),
"deviceId",
mobileruncloud.DeviceLocationSetParams{
Location: shared.LocationParam{
Latitude: 0,
Longitude: 0,
},
},
)
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices:location set \
--api-key 'My API Key' \
--device-id deviceId \
--latitude 0 \
--longitude 0Coordinates are decimal degrees; negative latitude is south, negative longitude is west. The new position applies to the running device immediately.
This changes the simulated GPS position only — the device’s IP-based geolocation is determined by its proxy.
Connecting a proxy with
smartIp: true overwrites the position to match the proxy’s exit IP.Was this page helpful?
⌘I